Issue 103218

Summary: Slide titles have extreme shadowing
Product: Impress Reporter: brutzman <brutzman>
Component: viewingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 3.1   
Target Milestone: ---   
Hardware: PC   
OS: All   
URL: http://x3dgraphics.com/slidesets/X3dForWebAuthors/Chapter03-Grouping.odp
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
OOO3.1BugExtremeShadowing.png none

Description brutzman 2009-06-30 14:45:24 UTC
Upon upgrading from 3.0 to 3.1, found that slide titles in a previous
presentation have extreme shadowing.  Image attached.

Font is Tahoma, checked style to see that no shadowing was turned on.  Tried
changing font/size/shadowing but the problem persisted.

This is a showstopper issue for me that makes Impress unusable until fixed.
Comment 1 brutzman 2009-06-30 14:46:18 UTC
Created attachment 63290 [details]
OOO3.1BugExtremeShadowing.png
Comment 2 brutzman 2009-06-30 14:49:00 UTC
Example available in url.

Since OOO 3.1 install clobbered my 3.0 version, I now have to figure out how to
backtrack.   :(
Comment 3 hennerdrewes 2009-06-30 20:52:55 UTC
Go to View, Master, Slide Master.

Select the title with the shadow, right-click the title, in the context menu
select Area. Go to the Shadow tab, unselect the Use shadow check box. Click OK,
then Close Master View.
Comment 4 brutzman 2009-07-01 07:06:41 UTC
solution works, thanks.

suggestion:  check the loader defaults, i did not have the shadow set on when
using earlier versions of OO.
Comment 5 wolframgarten 2009-07-01 09:37:43 UTC
Reproducible. Reassigned.
Comment 6 wolframgarten 2009-10-15 11:30:49 UTC
Reopened, since there is only a workaround but not a fix.
Comment 7 wolframgarten 2009-10-15 11:32:47 UTC
*** Issue 105847 has been marked as a duplicate of this issue. ***
Comment 8 clippka 2009-10-15 11:38:55 UTC
I yet fail to understand what the issue is. 

[1] Is there a document created with a version prior to OOo 3.1 where there was
no shadow and in OOo 3.1 and newer there is shadow?

[2] Was there a shadow in that document but not as extreme as in OOo 3.1?

If [1] is the case we need a document that shows no shadow in versions prior to
OOo 3.1 and that shows a shadow in OOo 3.1 and newer. If such documents exists I
can have a look at it.

If [2] then the rendering of the shadow may have changed with implementation of
the primitives so this is one for aw.

I simply doubt that [1] is the case as this should be reported more often. If
not reproducable this issue can not be fixed as of now.
Comment 9 clippka 2009-10-15 12:25:22 UTC
Ok sorry I didn't saw the bugdoc url. I had a look at this document and the
title style has a shadow enabled. Which previosly was not usefull for a title
object as a title object has only text but no filling and no outline.

In 3.1 we added a new drawing layer that had many enhancements. One was that now
text is also included in a shapes shadow (which makes perfectly sense).
Unfortunatly the core guys didn't thought about the implecations when loading
old documents.

Maybe whe should introduce a new xml flag and fix this when importing document
created with versions before OOo 3.1. But this actually should hit only a
minority of users which had shadow set to shapes with text and without filling
(if the shape has a filling the text shadow is not seen).
Comment 10 clippka 2009-10-15 12:28:25 UTC
changing target as this has a workaround and should only happen to a few users.
Correct fix needs a file format change.
Comment 11 Marcus 2017-05-20 11:11:38 UTC
Reset assigne to the default "issues@openoffice.apache.org".